Subject: Re: bug#23093: 25.0.92; Change for the worse: minibuffer completion window splits below rather that right

From: Juri Linkov <[email-masked]>
Date: Wed, 23 Mar 2016 23:35:51 +0200

>> Instead, I was thinking more along the lines of a simple Boolean
>> variable called something like completions-window-prefer-split-right
>> with a default value of non-`nil' to give the old behaviour, and `nil'
>> would give the behaviour we're currently seeing in Emacs 25.
>
> Maybe Juri can help you here.  I'll add him to the recipients.

Before adding a new defcustom variable, could we try to make the
behavior more DWIM and automatically detect a window configuration
where displaying *Completions* side-by-side makes more sense like
in frames with 48-characters height and 2*80-characters width.

Is it possible to tune ‘temp-buffer-max-height’ to handle this?
Or maybe we need to add new conditional actions like
‘display-buffer-below-selected-if-high-enough’ or
‘display-buffer-in-right-window-if-height-is-narrow’ or?